### Constructor

# Ggit CheckoutOptions new

#### Declaration [src]

    GgitCheckoutOptions*
    ggit_checkout_options_new (
      void
    )

#### Description [src]

Create a new checkout options object.

#### Return value

Type: `GgitCheckoutOptions`

A `GgitCheckoutOptions` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.